SDL_free_func(3type)

NAME
SDL_free_func - A callback used to implement SDL_free().

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

typedef void (SDLCALL *SDL_free_func)(void *mem);

DESCRIPTION
SDL will always ensure that the passed mem is a non-NULL pointer.

FUNCTION PARAMETERS

mem a pointer to allocated memory.

THREAD SAFETY
It should be safe to call this callback from any thread.

AVAILABILITY
This datatype is available since SDL 3.2.0.

SEE ALSO
SDL_free(3), SDL_GetOriginalMemoryFunctions(3), SDL_GetMemoryFunctions(3), SDL_SetMemoryFunctions(3)